## r-cran-registry 0.5

=== DESCRIPTION ===
Package: registry
Type: Package
Title: Infrastructure for R Package Registries
Version: 0.5-1
Author: David Meyer
Maintainer: David Meyer <David.Meyer@R-project.org>
Description: Provides a generic infrastructure for creating and using registries.
Depends: R (>= 2.6.0)
Imports: utils
License: GPL-2
NeedsCompilation: no
Packaged: 2019-03-05 12:35:44 UTC; meyer
Repository: CRAN
Date/Publication: 2019-03-05 14:21:41 UTC

## r-cran-registry 0.3

=== debian/changelog ===
r-cran-registry (0.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 13:25:01 +0200

r-cran-registry (0.3-1) unstable; urgency=low

  * Initial release. (Closes: #829501)

 -- Alba Crespi <crespialba+debian@gmail.com>  Sun, 10 Apr 2016 20:53:54 +0100

=== debian/control ===
Source: r-cran-registry
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev (>= 3.0.0),
               cdbs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-registry.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-registry.git
Homepage: https://cran.r-project.org/web/packages/registry/

Package: r-cran-registry
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Description: GNU R package for registries
 This package provides a generic infrastructure for creating and using
 registries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod 644 $(debRlib)/$(cranName)/doc/registry.*

## r-cran-registry 0.5

=== debian/changelog ===
r-cran-registry (0.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 21:59:02 +0200

r-cran-registry (0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 21 Feb 2018 19:42:04 +0100

r-cran-registry (0.3-2) unstable; urgency=medium

  * Team upload.
  * debhelper 10
  * Convert from cdbs to dh-r
  * Standards-Version: 4.1.0
  * Canonical name for CRAN packages

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 11:45:13 +0200

=== debian/control ===
Source: r-cran-registry
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-registry
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-registry.git
Homepage: https://cran.r-project.org/package=registry

Package: r-cran-registry
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for registries
 This package provides a generic infrastructure for creating and using
 registries.

## r-cran-registry 0.5-1

=== debian/changelog ===
r-cran-registry (0.5-1-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:29:51 +0000

r-cran-registry (0.5-1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 11:54:03 +0200

r-cran-registry (0.5-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 09:31:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "registry.*" -exec chmod -x \{\} \;

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/registry_([-0-9\.]*)\.tar\.gz
